unit QHCommentExpert;
{
  Vcl IDEQHCommentExpert for Delphi4.0

  Author:QingHai 1998,10   noteon@star.com.cn
}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ToolsAPI, StdCtrls, ExtCtrls, mwIDEStream4,menus,
  ComCtrls,MwOTA,mIDEMenuItem;

type
  TIDEQHCommentExpert = class(TInterfacedObject, IOTAWizard)
  private
    AddInItemEn: TIDEMenuItem;
    procedure OnClick(Sender: TObject);
  protected
  public
    function GetName: string;
    function GetAuthor: string;
    function GetIDString: string;
    procedure AfterSave;
    procedure BeforeSave;
    procedure Modified;
    procedure Destroyed;

    procedure Execute;
    function GetMenuText: string;
    function GetState: TWizardState;
    constructor Create; virtual;
    destructor Destroy; override;
  end;

  TIDEQHUnCommentExpert = class(TInterfacedObject, IOTAWizard)
  private
    AddInItemUn: TIDEMenuItem;
    procedure OnClick(Sender: TObject);
  protected
  public
    function GetName: string;
    function GetAuthor: string;
    function GetIDString: string;
    procedure AfterSave;
    procedure BeforeSave;
    procedure Modified;
    procedure Destroyed;

    procedure Execute;
    function GetMenuText: string;
    function GetState: TWizardState;
    constructor Create; virtual;
    destructor Destroy; override;
  end;

procedure Register;
var
  IDEStream: TIDEStream4;

implementation

procedure Register;
begin
  RegisterPackageWizard(TIDEQHCommentExpert.Create);
  RegisterPackageWizard(TIDEQHUnCommentExpert.Create);
end;

{ TIDEQHCommentExpert code }
function TIDEQHCommentExpert.GetName: String;
begin
  Result := 'IDEQHCommentExpert'
end;

function TIDEQHCommentExpert.GetAuthor: String;
begin
  Result := 'QingHai'; { author }
end;

function TIDEQHCommentExpert.GetIDString: String;
begin
  Result := 'QingHai.IDEQHCommentExpert';
end;

destructor TIDEQHCommentExpert.Destroy;
begin
  AddInItemEn.Free;
  inherited Destroy;
end;{Destroy}

procedure TIDEQHCommentExpert.Execute;
var
  aText: PCHar;
  strLst:TStringList;
begin
  StrLst:=TStringList.Create;
  IDEStream:= TIDEStream4.Create;
  try
    IDEStream.GetLines(StrLst);
    IDEStream.AddComment;
    aText:= StrLst.GetText;
    IDEStream.WriteText(aText);
  finally
    IDEStream.Free;
    StrLst.Free;
  end;
end;

procedure TIDEQHCommentExpert.AfterSave;
begin

end;

procedure TIDEQHCommentExpert.BeforeSave;
begin

end;

constructor TIDEQHCommentExpert.Create;
begin
  inherited Create;
  AddInItemEn:= TIDEMenuItem.Create('ToolsMenu', 3);
  AddInItemEn.OnClick:= OnClick;
  AddInItemEn.Caption:= GetMenuText;
  AddInItemEn.ShortCut:=$4000+$8000+78;
  AddInItemEn.Name:= 'AddInItemEn';
end;

procedure TIDEQHCommentExpert.Destroyed;
begin
  AddInItemEn.Free;
end;

function TIDEQHCommentExpert.GetMenuText: string;
begin
 Result:= 'Comment';//
end;

function TIDEQHCommentExpert.GetState: TWizardState;
begin
  Result := [wsEnabled];
end;

procedure TIDEQHCommentExpert.Modified;
begin

end;

{ TIDEQHUnCommentExpert }

procedure TIDEQHUnCommentExpert.AfterSave;
begin

end;

procedure TIDEQHUnCommentExpert.BeforeSave;
begin

end;

constructor TIDEQHUnCommentExpert.Create;
begin
  inherited Create;
  AddInItemUn:= TIDEMenuItem.Create('ToolsMenu', 3);
  AddInItemUn.OnClick:= OnClick;
  AddInItemUn.Caption:= GetMenuText;
  AddInItemUn.ShortCut:=$4000+$8000+85;
  AddInItemUn.Name:= 'AddInItemEn';
end;

destructor TIDEQHUnCommentExpert.Destroy;
begin
  AddInItemUn.Free;
  inherited Destroy;
end;

procedure TIDEQHUnCommentExpert.Destroyed;
begin
end;

procedure TIDEQHUnCommentExpert.Execute;
var
  aText: PCHar;
  strLst:TStringList;
begin
  StrLst:=TStringList.Create;
  IDEStream:= TIDEStream4.Create;
  try
    IDEStream.GetLines(StrLst);
    IDEStream.UnComment;
    aText:= StrLst.GetText;
    IDEStream.WriteText(aText);
  finally
    IDEStream.Free;
    StrLst.Free;
  end;
end;

function TIDEQHUnCommentExpert.GetAuthor: string;
begin
  Result := 'QingHai'; { author }
end;

function TIDEQHUnCommentExpert.GetIDString: string;
begin
  Result := 'private.IDEQhUnCommentExpert';
end;

function TIDEQHUnCommentExpert.GetMenuText: string;
begin
  Result:= 'UnComment';//ȡע
end;

function TIDEQHUnCommentExpert.GetName: string;
begin
  Result := 'IDEQHUnCommentExpert'
end;

function TIDEQHUnCommentExpert.GetState: TWizardState;
begin
  Result := [wsEnabled];
end;

procedure TIDEQHUnCommentExpert.Modified;
begin

end;
procedure TIDEQHCommentExpert.OnClick(Sender: TObject);
begin
  Execute;
end;

procedure TIDEQHUnCommentExpert.OnClick(Sender: TObject);
begin
  Execute;
end;

end.




































